API Method: StartActionByGetAndWait (deprecated)

StartActionByGetAndWait is deprecated and will be removed in a future version of OliveTin. Use StartActionAndWait instead.

Despite its name, this method no longer supports GET requests. The OliveTin 2k style of putting the action ID in the URL (eg: GET /api/StartActionByGetAndWait/pingGithub) returns 404 in OliveTin 3k, and is not coming back.

Migrating to StartActionAndWait

StartActionAndWait takes the same actionId field, and returns the same Log Entry, so you only need to change the method name. It also accepts arguments and a justification.

Before (deprecated)
user@host: curl http://olivetin.example.com:1337/api/StartActionByGetAndWait --json '{"actionId": "pingGithub"}'
After
user@host: curl http://olivetin.example.com:1337/api/StartActionAndWait --json '{"actionId": "pingGithub"}'
{"logEntry":{"actionTitle":"Ping GitHub.com","output":"...","exitCode":0, ... }}